Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 545968 (CVE-2015-3026) - <net-misc/icecast-2.4.2: DoS (CVE-2015-3026)
Summary: <net-misc/icecast-2.4.2: DoS (CVE-2015-3026)
Status: RESOLVED FIXED
Alias: CVE-2015-3026
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-08 13:12 UTC by Agostino Sarubbo
Modified: 2015-08-15 13:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-04-08 13:12:50 UTC
From ${URL} :

A new version of Icecast was released, following the discovery of a
remote denial of service vulnerability by Juliane Holzt earlier today.

Affected Icecast versions:
2.3.3(first release with stream_auth)
2.4.0
2.4.1

Fix released in:
2.4.2



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2015-04-09 19:26:13 UTC
+*icecast-2.4.2 (09 Apr 2015)
+
+  09 Apr 2015; Lars Wendler <polynomial-c@gentoo.org> icecast-2.4.1.ebuild,
+  +icecast-2.4.2.ebuild:
+  Security bump (bug #545968). Fixed slot dependency on openssl.
+

Arches please test and mar stable =net-misc/icecast-2.4.2 with target KEYWORDS:

amd64 ppc ppc64 x86 ~x86-fbsd
Comment 2 Agostino Sarubbo gentoo-dev 2015-04-10 09:45:50 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2015-04-10 09:46:17 UTC
x86 stable
Comment 4 Agostino Sarubbo gentoo-dev 2015-04-17 12:47:03 UTC
ppc64 stable
Comment 5 Pacho Ramos gentoo-dev 2015-04-21 18:44:26 UTC
ppc stable
Comment 6 Yury German Gentoo Infrastructure gentoo-dev Security 2015-04-22 00:20:51 UTC
Arches, Thank you for your work.

Vote: Yes

Maintainer(s), please drop the vulnerable version(s).
Comment 7 Lars Wendler (Polynomial-C) gentoo-dev 2015-04-23 04:44:18 UTC
+  23 Apr 2015; Lars Wendler <polynomial-c@gentoo.org> -icecast-2.4.1.ebuild:
+  Removed vulnerable version.
+
Comment 8 Kristian Fiskerstrand gentoo-dev Security 2015-05-11 16:10:37 UTC
GLSA Vote: Yes, new request filed
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2015-05-11 20:01:46 UTC
CVE-2015-3026 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3026):
  Icecast before 2.4.2, when a stream_auth handler is defined for URL
  authentication, allows remote attackers to cause a denial of service (NULL
  pointer dereference and crash) via a request without login credentials, as
  demonstrated by a request to "admin/killsource?mount=/test.ogg."
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2015-08-15 13:21:36 UTC
This issue was resolved and addressed in
 GLSA 201508-03 at https://security.gentoo.org/glsa/201508-03
by GLSA coordinator Yury German (BlueKnight).